import request from '@/utils/request'
import qs from 'qs'

export const HttpReq = {
  // 后台管理接口列表
  backstageApi: {
    getLinkSrcList: function(params) {
      return request({
        url: 'api/hyperLink?' + qs.stringify(params, { indices: false }),
        method: 'get'
      })
    },
    updateLinkSrc: function(data) {
      return request({
        url: 'api/hyperLink',
        method: 'put',
        data: data
      }).then((res) => {
        return res
      })
    },
    addLinkSrc: function(data) {
      return request({
        url: 'api/hyperLink',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    deleteLinkSrc: function(data) {
      return request({
        url: 'api/hyperLink',
        method: 'delete',
        data: data
      }).then((res) => {
        return res
      })
    },
    api: null
  },
  // web端接口列表
  webClientApi: {
  }
}

